Ac3net.MTC {Ac3net} | R Documentation

## Return adjusted p-values of the adjancency matrix.

### Description

`Ac3net.MTC` Return adjusted p-values of the adjancency matrix.

### Usage

    Ac3net.MTC(data, iterations=10, MTC=TRUE, MTCmethod="BH",
    estmethod='pearson')

### Arguments

`data` | Data matrix where rows are variables and columns are the samples. Rows must have the variable names
`iterations` | Number of iterations to get null distribuiton from multiple shuffling of the data.
`MTC` | If TRUE,as the default status, the the returned p-value matrix has the adjusted p-values
`MTCmethod` | The Multiple Testing Correction method. BH is default. See R p.adjust function for options.
`estmethod` | The default method is 'pearson' assuming that the data was normalized (at least with Log-2). If the data is not normalized, its recomended setting is 'spearman'.

### Details

`Ac3net.MTC` takes a data matrix and returns the adjusted p-values matrix that correspond to the adjacency matrix of the input data. This way varios p-values can be tried to get different cutoff values without re-calculating the p-values.

### Value

`Ac3net.MTC` returns a default adjusted p-values matrix that corresponds to the input adjacency matrix. If MTC is set to FALSE then it returns raw p-values.

### Author(s)

Gokmen Altay

### References

G. Altay,"Directed Conservative Causal Core Gene Networks", bioRxiv, 2018. G. Altay, F. Emmert-Streib, "Inferring the conservative causal core of gene regulatory networks", BMC Systems Biology (2010) 4:132.

### See Also

`Ac3net.maxmim`, `Ac3net.commonlinks`,

### Examples

    #data(expdata)
    #mim.pvals <- Ac3net.MTC(data = expdata, iterations=10,
    #            MTC=TRUE, MTCmethod="BH", estmethod='pearson')

[Package Ac3net version 1.2.2 Index]